import React, {PureComponent} from "react";
import {FontAwesomeIcon} from '@fortawesome/react-fontawesome'
import * as fa from "@fortawesome/free-solid-svg-icons"

export default class Header extends PureComponent {
  render() {
    const style = this.props.style.header;

    return <span style={style.base}>
      <span style={style.title}>
        <span style={style.icon}>{this.props.node.icon ||
        <FontAwesomeIcon icon={this.props.terminal ? fa.faFile : fa.faFolder}/>}</span>
        {this.props.node.name}
      </span>
    </span>
  }
}